# Flow zone presentation

The [rfm_propagation_transitions](flow_zone:jujgIMk) is dedicated to analyzing the transitions between the different RFM segments and scores.

![rfm_propagation_transitions.png](rXbl22Hv6ops)


- Recipe [compute_all_customer_rfm_transitions](recipe:compute_all_customer_rfm_transitions) has the role to compute the transitions between the RFM features associated with **customer_id** x **purchasing month of year** AND RFM features associated with **same customer_id** x **next purchasing month of year**.

- Recipe [compute_all_customer_rfm_transitions_prepared](recipe:compute_all_customer_rfm_transitions_prepared) prepares this transitions data so that it can be more easily used and analyzed later.

- Finally, the last group recipes, respectively count the transitions between "segment_labels", "recency_scores", "frequency_scores", "monetary_value_scores" and "density_scores". These group recipes analyze two kinds of transitions: 

These transitions can then be analyzed in the [RFM Propagation dashboard](article:47) with Sankey diagrams.


