# Flow zone presentation

The [rfm_propagation](flow_zone:N6o8mzt) is dedicated to applying the [RFM segmentation](article:30) on your customers on a period larger than the one defined with the [dates filtering strategy](article:43). 

![rfm_propagation.png](9eLRRzbaLUeH)


- Recipe [compute_propagation_customer_rfm_scores](recipe:compute_propagation_customer_rfm_scores) uses the RFM scoring method learned in the  [RFM segmentation phase](article:30) to assess each customer RFM, months after months. This information is saved in the dataset [propagation_customer_rfm_scores](dataset:propagation_customer_rfm_scores).


- Recipe [compute_propagation_customer_rfm_segments](recipe:compute_propagation_customer_rfm_segments) retrieves information from dataset [rf_segments_identication_synced](dataset:rf_segments_identication_synced) to label the *RxF* customer segments.
It leads to the dataset [propagation_customer_rfm_segments](dataset:propagation_customer_rfm_segments).