# Flow zone presentation

The [rfm_propagation_last_dates](flow_zone:qs4TllM) is dedicated to analyzing the most recent customer information.

![rfm_propagation_last_dates.png](1x8ZsduFqh1P)

- Recipe [compute_last_customer_rfm_segments](recipe:compute_last_customer_rfm_segments) looks for all the **customer_id** x **month of year** purchase interactions to filter customers' RFM data on the last information we have for each customer. It generates the dataset [last_customer_rfm_segments](dataset:last_customer_rfm_segments).

- Recipe [compute_inactive_customers](recipe:compute_inactive_customers) filters [last_customer_rfm_segments](dataset:last_customer_rfm_segments) on customers that have a *Recency score* of 1. It generates the dataset [inactive_customers](dataset:inactive_customers).


